Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar31
Class EjbJar31DescriptorImpl

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.spi.DescriptorImplBase
          org.jboss.shrinkwrap.descriptor.spi.NodeProviderImplBase
              org.jboss.shrinkwrap.descriptor.impl.ejbjar31.EjbJar31DescriptorImpl

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Descriptor, org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<EjbJar31Descriptor>, EjbJar31Descriptor, org.jboss.shrinkwrap.descriptor.spi.NodeProvider

    public class EjbJar31DescriptorImpl

extends org.jboss.shrinkwrap.descriptor.spi.NodeProviderImplBase
implements org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<EjbJar31Descriptor>, EjbJar31Descriptor

This deployment descriptor provides the functionalities as described in the ejb-jar_3_1.xsd specification

Example:

`EjbJar31Descriptor descriptor = Descriptors.create(EjbJar31Descriptor.class);`

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`EjbJar31DescriptorImpl(java.lang.String descriptorName)`
`EjbJar31DescriptorImpl(java.lang.String descriptorName, org.jboss.shrinkwrap.descriptor.spi.Node node)`

Method Summary
`EjbJar31Descriptor` | `addDefaultNamespaces()`
`EjbJar31Descriptor` | `addNamespace(java.lang.String name, java.lang.String value)`
`AssemblyDescriptorType<EjbJar31Descriptor>` | `assemblyDescriptor()` If not already created, a new `assembly-descriptor` element will be created and returned.
`EnterpriseBeansType<EjbJar31Descriptor>` | `enterpriseBeans()` If not already created, a new `enterprise-beans` element will be created and returned.
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.lang.String` | `getEjbClientJar()` Returns the `ejb-client-jar` element
`java.util.List<IconType<EjbJar31Descriptor>>` | `getIconList()` Returns all `icon` elements
`java.lang.String` | `getModuleName()` Returns the `module-name` element
`java.util.List<java.lang.String>` | `getNamespaces()`
`org.jboss.shrinkwrap.descriptor.spi.Node` | `getRootNode()`
`java.lang.String` | `getVersion()` Returns the `version` element
`IconType<EjbJar31Descriptor>` | `icon()` Returns the `icon` element
`InterceptorsType<EjbJar31Descriptor>` | `interceptors()` If not already created, a new `interceptors` element will be created and returned.
`java.lang.Boolean` | `isMetadataComplete()` Returns the `metadata-complete` element
`RelationshipsType<EjbJar31Descriptor>` | `relationships()` If not already created, a new `relationships` element will be created and returned.
`EjbJar31Descriptor` | `removeAllDescription()` Removes the `description` element
`EjbJar31Descriptor` | `removeAllDisplayName()` Removes the `display-name` element
`EjbJar31Descriptor` | `removeAllIcon()` Removes all `icon` elements
`EjbJar31Descriptor` | `removeAllNamespaces()`
`EjbJar31Descriptor` | `removeAssemblyDescriptor()` Removes the `assembly-descriptor` element
`EjbJar31Descriptor` | `removeEjbClientJar()` Removes the `ejb-client-jar` element
`EjbJar31Descriptor` | `removeEnterpriseBeans()` Removes the `enterprise-beans` element
`EjbJar31Descriptor` | `removeInterceptors()` Removes the `interceptors` element
`EjbJar31Descriptor` | `removeMetadataComplete()` Removes the `metadata-complete` attribute
`EjbJar31Descriptor` | `removeModuleName()` Removes the `module-name` element
`EjbJar31Descriptor` | `removeRelationships()` Removes the `relationships` element
`EjbJar31Descriptor` | `removeVersion()` Removes the `version` attribute
`EjbJar31Descriptor` | `setDescription(java.lang.String description)` Creates a new `description` element
`EjbJar31Descriptor` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`EjbJar31Descriptor` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`EjbJar31Descriptor` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`EjbJar31Descriptor` | `setEjbClientJar(java.lang.String ejbClientJar)` If not already created, a new `ejb-client-jar` element with the given value will be created.
`EjbJar31Descriptor` | `setMetadataComplete(java.lang.Boolean metadataComplete)` Sets the `metadata-complete` attribute
`EjbJar31Descriptor` | `setModuleName(java.lang.String moduleName)` If not already created, a new `module-name` element with the given value will be created.
`EjbJar31Descriptor` | `setVersion(java.lang.String version)` Sets the `version` attribute

Methods inherited from class org.jboss.shrinkwrap.descriptor.spi.NodeProviderImplBase
`exportAsString, exportTo`

Methods inherited from class org.jboss.shrinkwrap.descriptor.spi.DescriptorImplBase
`getDescriptorName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Descriptor
`exportAsString, exportTo, getDescriptorName`

Constructor Detail

### EjbJar31DescriptorImpl

    public EjbJar31DescriptorImpl(java.lang.String descriptorName)

### EjbJar31DescriptorImpl

    public EjbJar31DescriptorImpl(java.lang.String descriptorName,
                                  org.jboss.shrinkwrap.descriptor.spi.Node node)

Method Detail

### getRootNode

    public org.jboss.shrinkwrap.descriptor.spi.Node getRootNode()

  Specified by:
    `getRootNode` in interface `org.jboss.shrinkwrap.descriptor.spi.NodeProvider`

### addDefaultNamespaces

    public EjbJar31Descriptor addDefaultNamespaces()

  Specified by:
    `addDefaultNamespaces` in interface `org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<EjbJar31Descriptor>`

### addNamespace

    public EjbJar31Descriptor addNamespace(java.lang.String name,
                                           java.lang.String value)

  Specified by:
    `addNamespace` in interface `org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<EjbJar31Descriptor>`

### getNamespaces

    public java.util.List<java.lang.String> getNamespaces()

  Specified by:
    `getNamespaces` in interface `org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<EjbJar31Descriptor>`

### removeAllNamespaces

    public EjbJar31Descriptor removeAllNamespaces()

  Specified by:
    `removeAllNamespaces` in interface `org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<EjbJar31Descriptor>`

### setModuleName

    public EjbJar31Descriptor setModuleName(java.lang.String moduleName)

  If not already created, a new `module-name` element with the given value will be created. Otherwise, the existing `module-name` element will be updated with the given value.

  Specified by:
    `setModuleName` in interface `EjbJar31Descriptor`
  Returns:
    the current instance of `EjbJar31Descriptor`

### removeModuleName

    public EjbJar31Descriptor removeModuleName()

  Removes the `module-name` element

  Specified by:
    `removeModuleName` in interface `EjbJar31Descriptor`
  Returns:
    the current instance of `EjbJar31Descriptor`

### getModuleName

    public java.lang.String getModuleName()

  Returns the `module-name` element

  Specified by:
    `getModuleName` in interface `EjbJar31Descriptor`
  Returns:
    the node defined for the element `module-name`

### removeEnterpriseBeans

    public EjbJar31Descriptor removeEnterpriseBeans()

  Removes the `enterprise-beans` element

  Specified by:
    `removeEnterpriseBeans` in interface `EjbJar31Descriptor`
  Returns:
    the current instance of `EjbJar31Descriptor`

### enterpriseBeans

    public EnterpriseBeansType<EjbJar31Descriptor> enterpriseBeans()

  If not already created, a new `enterprise-beans` element will be created and returned. Otherwise, the existing `enterprise-beans` element will be returned.

  Specified by:
    `enterpriseBeans` in interface `EjbJar31Descriptor`
  Returns:
    the node defined for the element `enterprise-beans`

### removeInterceptors

    public EjbJar31Descriptor removeInterceptors()

  Removes the `interceptors` element

  Specified by:
    `removeInterceptors` in interface `EjbJar31Descriptor`
  Returns:
    the current instance of `EjbJar31Descriptor`

### interceptors

    public InterceptorsType<EjbJar31Descriptor> interceptors()

  If not already created, a new `interceptors` element will be created and returned. Otherwise, the existing `interceptors` element will be returned.

  Specified by:
    `interceptors` in interface `EjbJar31Descriptor`
  Returns:
    the node defined for the element `interceptors`

### removeRelationships

    public EjbJar31Descriptor removeRelationships()

  Removes the `relationships` element

  Specified by:
    `removeRelationships` in interface `EjbJar31Descriptor`
  Returns:
    the current instance of `EjbJar31Descriptor`

### relationships

    public RelationshipsType<EjbJar31Descriptor> relationships()

  If not already created, a new `relationships` element will be created and returned. Otherwise, the existing `relationships` element will be returned.

  Specified by:
    `relationships` in interface `EjbJar31Descriptor`
  Returns:
    the node defined for the element `relationships`

### removeAssemblyDescriptor

    public EjbJar31Descriptor removeAssemblyDescriptor()

  Removes the `assembly-descriptor` element

  Specified by:
    `removeAssemblyDescriptor` in interface `EjbJar31Descriptor`
  Returns:
    the current instance of `EjbJar31Descriptor`

### assemblyDescriptor

    public AssemblyDescriptorType<EjbJar31Descriptor> assemblyDescriptor()

  If not already created, a new `assembly-descriptor` element will be created and returned. Otherwise, the existing `assembly-descriptor` element will be returned.

  Specified by:
    `assemblyDescriptor` in interface `EjbJar31Descriptor`
  Returns:
    the node defined for the element `assembly-descriptor`

### setEjbClientJar

    public EjbJar31Descriptor setEjbClientJar(java.lang.String ejbClientJar)

  If not already created, a new `ejb-client-jar` element with the given value will be created. Otherwise, the existing `ejb-client-jar` element will be updated with the given value.

  Specified by:
    `setEjbClientJar` in interface `EjbJar31Descriptor`
  Returns:
    the current instance of `EjbJar31Descriptor`

### removeEjbClientJar

    public EjbJar31Descriptor removeEjbClientJar()

  Removes the `ejb-client-jar` element

  Specified by:
    `removeEjbClientJar` in interface `EjbJar31Descriptor`
  Returns:
    the current instance of `EjbJar31Descriptor`

### getEjbClientJar

    public java.lang.String getEjbClientJar()

  Returns the `ejb-client-jar` element

  Specified by:
    `getEjbClientJar` in interface `EjbJar31Descriptor`
  Returns:
    the node defined for the element `ejb-client-jar`

### setVersion

    public EjbJar31Descriptor setVersion(java.lang.String version)

  Sets the `version` attribute

  Specified by:
    `setVersion` in interface `EjbJar31Descriptor`
  Parameters:
    `version` - the value for the attribute `version`
  Returns:
    the current instance of `EjbJar31Descriptor`

### removeVersion

    public EjbJar31Descriptor removeVersion()

  Removes the `version` attribute

  Specified by:
    `removeVersion` in interface `EjbJar31Descriptor`
  Returns:
    the current instance of `EjbJar31Descriptor`

### getVersion

    public java.lang.String getVersion()

  Returns the `version` element

  Specified by:
    `getVersion` in interface `EjbJar31Descriptor`
  Returns:
    the node defined for the element `version`

### setMetadataComplete

    public EjbJar31Descriptor setMetadataComplete(java.lang.Boolean metadataComplete)

  Sets the `metadata-complete` attribute

  Specified by:
    `setMetadataComplete` in interface `EjbJar31Descriptor`
  Parameters:
    `metadataComplete` - the value for the attribute `metadata-complete`
  Returns:
    the current instance of `EjbJar31Descriptor`

### removeMetadataComplete

    public EjbJar31Descriptor removeMetadataComplete()

  Removes the `metadata-complete` attribute

  Specified by:
    `removeMetadataComplete` in interface `EjbJar31Descriptor`
  Returns:
    the current instance of `EjbJar31Descriptor`

### isMetadataComplete

    public java.lang.Boolean isMetadataComplete()

  Returns the `metadata-complete` element

  Specified by:
    `isMetadataComplete` in interface `EjbJar31Descriptor`
  Returns:
    the node defined for the element `metadata-complete`

### setDescription

    public EjbJar31Descriptor setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `EjbJar31Descriptor`
  Returns:
    the current instance of `EjbJar31Descriptor`

### setDescriptionList

    public EjbJar31Descriptor setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `EjbJar31Descriptor`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `EjbJar31Descriptor`

### removeAllDescription

    public EjbJar31Descriptor removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `EjbJar31Descriptor`
  Returns:
    the current instance of `EjbJar31Descriptor`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `EjbJar31Descriptor`
  Returns:
    list of `description`

### setDisplayName

    public EjbJar31Descriptor setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Specified by:
    `setDisplayName` in interface `EjbJar31Descriptor`
  Returns:
    the current instance of `EjbJar31Descriptor`

### setDisplayNameList

    public EjbJar31Descriptor setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Specified by:
    `setDisplayNameList` in interface `EjbJar31Descriptor`
  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `EjbJar31Descriptor`

### removeAllDisplayName

    public EjbJar31Descriptor removeAllDisplayName()

  Removes the `display-name` element

  Specified by:
    `removeAllDisplayName` in interface `EjbJar31Descriptor`
  Returns:
    the current instance of `EjbJar31Descriptor`

### getDisplayNameList

    public java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Specified by:
    `getDisplayNameList` in interface `EjbJar31Descriptor`
  Returns:
    list of `display-name`

### removeAllIcon

    public EjbJar31Descriptor removeAllIcon()

  Removes all `icon` elements

  Specified by:
    `removeAllIcon` in interface `EjbJar31Descriptor`
  Returns:
    the current instance of `EjbJar31Descriptor`

### icon

    public IconType<EjbJar31Descriptor> icon()

  Returns the `icon` element

  Specified by:
    `icon` in interface `EjbJar31Descriptor`
  Returns:
    the node defined for the element `icon`

### getIconList

    public java.util.List<IconType<EjbJar31Descriptor>> getIconList()

  Returns all `icon` elements

  Specified by:
    `getIconList` in interface `EjbJar31Descriptor`
  Returns:
    list of `icon`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD